<div class="formcontainer">
    <div class="formbody">
        <form style="width:100%;" [formGroup]="form">
            <div class="header">Inscription</div>
            <div class="sp">

                <input type="text" formControlName="nom"  class="form-control" placeholder="Nom" id="nom">
                <span *ngIf="isValid('nom')">un nom est obligatoire</span>
            </div>
            <div class="sp">

                <input type="text" formControlName="prenom"  class="form-control" placeholder="Prenom" id="prenom">
                <span *ngIf="isValid('prenom')">un prenom est obligatoire</span>
            </div>
            <div class="sp">

                <input type="date" class="form-control" formControlName="dateNaissance" id="dateNaissance">

            </div>
            <div class="sp">

                <input type="text" formControlName="genre"  class="form-control" placeholder="genre" id="genre">

            </div>
            <div class="sp">

                <input type="text" formControlName="adresse"  class="form-control" placeholder="Adresse" id="adresse">

                <span *ngIf="isValid('adresse')">un adresse est obligatoire</span>
            </div>
            <div class="sp">

                <input type="text" formControlName="numCarte"  class="form-control" placeholder="numero carte" id="numCarte">

                <span *ngIf="isValid('numCarte')">numero de carte obligatoire</span>
            </div>
            <div class="sp">

                <input type="text" formControlName="dateCarte"  class="form-control" placeholder="date carte" id="dateCarte">

                <span *ngIf="isValid('dateCarte')">date d'expiration obligatoire</span>
            </div>
            <div class="sp">

                <input type="text" formControlName="codeCarte"  class="form-control" placeholder="code" id="codeCarte">

                <span *ngIf="isValid('codeCarte')">code obligatoire</span>
            </div>
            <div class="sp">

                <input type="text" formControlName="email"  class="form-control" placeholder="Email" id="email">

                <span *ngIf="isValid('email')">l'e-mail saisi est invalide</span>
            </div>
            <div class="sp">

                <input type="password" formControlName="password"  class="form-control" placeholder="Mot de passe" id="password">

                <span *ngIf="isValid('password')">le mot de passe est obligatoire</span>
            </div>
            <div class="sp">

                <input type="password" formControlName="cnfpass"  class="form-control" placeholder="Re-enter le mot de passe"
                    id="cnfpass">

                <span *ngIf="isValid('cnfpass')">le mot de passe saisi n'est pas le même</span>
            </div>
            <br>
            <div class="header">
                <button class="btn btn-lg btn-primary" (click)="register()">Inscription</button>
                <span> <div class="sp"></div> </span>
                <button class="btn btn-lg btn-primary" (click)= "moveToLogin()">Connexion</button>
            </div>

            <!-- <div *ngIf="erreurEmail"> Cet email est déjà associé à un autre compte</div> -->


            <div style="text-align: center;" >
                {{successMessage}}
            </div>
        </form>
    </div>

</div>

<!-- <button (click)= "testEmail()"> test </button> -->